libopencv-dev ?!

Questions about applications and software
Forum rules
Before you post please read this

libopencv-dev ?!

Postby Motion on Mon Aug 06, 2012 4:33 am

Hi !

I tried to install libopencv-dev with no luck : it seems to have a bunch of lacking/broken dependencies.

What is wrong with it ?

Cheers,

Motion
Motion
Level 1
Level 1
 
Posts: 23
Joined: Sun Aug 05, 2012 3:23 pm

Linux Mint is funded by ads and donations.
 

Re: libopencv-dev ?!

Postby zerozero on Mon Aug 06, 2012 5:54 am

this is very little help to try to help you.
you need to try harder :) give all the possible information related to your problem and then it will make life easier to anyone willing to help.

anyway:
- what is the full error output?
- what is the output of inxi -r
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: libopencv-dev ?!

Postby Motion on Mon Aug 06, 2012 7:05 am

Hi zerozero,

Here it is :
Code: Select all
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import backport romeo
           deb-src http://packages.linuxmint.com/ debian main upstream import backport romeo #Added by software-properties
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb-src http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb-src http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/latest/multimedia testing main non-free
           deb-src http://debian.linuxmint.com/latest/multimedia testing main non-free



and the error output :
Code: Select all
libopencv-contrib-dev:
 Depends: libopencv-calib3d-dev but it is not going to be installed

libopencv-legacy-dev:
 Depends: libopencv-calib3d-dev but it is not going to be installed

libopencv-calib3d-dev:
 Depends: libopencv-features2d-dev but it is not going to be installed

libopencv-objdetect-dev:
 Depends: libopencv-calib3d-dev but it is not going to be installed

libopencv-features2d-dev:
 Depends: libopencv-highgui-dev but it is not going to be installed

libopencv-highgui-dev:
 Depends: libgtk2.0-dev but it is not going to be installed

libopencv-dev:
 Depends: libopencv-objdetect-dev but it is not going to be installed
 Depends: libopencv-highgui-dev but it is not going to be installed
 Depends: libopencv-calib3d-dev but it is not going to be installed
 Depends: libopencv-features2d-dev but it is not going to be installed
 Depends: libopencv-legacy-dev but it is not going to be installed
 Depends: libopencv-contrib-dev but it is not going to be installed



It seems to be a kind of circular dependencies problem.

Does these packages install fine for other people ?

Cheers :)

Motion
Motion
Level 1
Level 1
 
Posts: 23
Joined: Sun Aug 05, 2012 3:23 pm

Re: libopencv-dev ?!

Postby zerozero on Mon Aug 06, 2012 7:13 am

i'm really short of time right now to hunt the issue down but i would say that one of the dependencies is not available in latest (later tonight i will look into it closer).
in the meantime it would install clean in testing (what means that will install as well in the new UP5 that is being tested atm viewtopic.php?f=187&t=109005&start=0 )
Code: Select all
zerozero@deb-kde ~ $ sudo apt-get -s install libopencv-dev
[sudo] password for zerozero:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  aptdaemon-data gir1.2-vte-2.90 libvte-2.90-9 libvte-2.90-common
  python-aptdaemon.gtk3widgets software-properties-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libavformat-dev libcv-dev libcvaux-dev libhighgui-dev libilmbase-dev libjasper-dev
  libjbig-dev libjpeg8-dev libopencv-calib3d-dev libopencv-calib3d2.3
  libopencv-contrib-dev libopencv-contrib2.3 libopencv-core-dev libopencv-core2.3
  libopencv-features2d-dev libopencv-features2d2.3 libopencv-flann-dev
  libopencv-flann2.3 libopencv-gpu-dev libopencv-gpu2.3 libopencv-highgui-dev
  libopencv-highgui2.3 libopencv-imgproc-dev libopencv-imgproc2.3 libopencv-legacy-dev
  libopencv-legacy2.3 libopencv-ml-dev libopencv-ml2.3 libopencv-objdetect-dev
  libopencv-objdetect2.3 libopencv-video-dev libopencv-video2.3 libopenexr-dev
  libswscale-dev libtbb2 libtiff4-dev libtiffxx0c2
The following NEW packages will be installed:
  libavformat-dev libcv-dev libcvaux-dev libhighgui-dev libilmbase-dev libjasper-dev
  libjbig-dev libjpeg8-dev libopencv-calib3d-dev libopencv-calib3d2.3
  libopencv-contrib-dev libopencv-contrib2.3 libopencv-core-dev libopencv-core2.3
  libopencv-dev libopencv-features2d-dev libopencv-features2d2.3 libopencv-flann-dev
  libopencv-flann2.3 libopencv-gpu-dev libopencv-gpu2.3 libopencv-highgui-dev
  libopencv-highgui2.3 libopencv-imgproc-dev libopencv-imgproc2.3 libopencv-legacy-dev
  libopencv-legacy2.3 libopencv-ml-dev libopencv-ml2.3 libopencv-objdetect-dev
  libopencv-objdetect2.3 libopencv-video-dev libopencv-video2.3 libopenexr-dev
  libswscale-dev libtbb2 libtiff4-dev libtiffxx0c2
0 upgraded, 38 newly installed, 0 to remove and 0 not upgraded.
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: libopencv-dev ?!

Postby Motion on Mon Aug 06, 2012 5:51 pm

Things are going totally wrong : first time a system get me on this kind of road.

I changed latest to incoming, went for total upgrade and boom, everything is quite broken.
Cinnamon is gone.

i am good for a system reinstall. I might have messed up the LMDE logic.

I thought everything was about to get simple (coming from geeky distros), I was wrong.
Motion
Level 1
Level 1
 
Posts: 23
Joined: Sun Aug 05, 2012 3:23 pm

Re: libopencv-dev ?!

Postby zerozero on Mon Aug 06, 2012 6:10 pm

Motion, exactly what repos you used? did you added the new incoming to packages.linuxmint
read very carefully the first post on that topic
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: libopencv-dev ?!

Postby Motion on Tue Aug 07, 2012 1:25 am

Hi zerozero,

My bad, yesterday I was a bit upset. Now I slept, I can take it on.

I replaced all the latest sentences of the repos with incoming. I shoud have never done that I think.
This system was installed two days ago, it involves nothing to wipe it out.


zerozero, what is your opinion concerning the libopencv-dev ?

Cheers,

Motion
Motion
Level 1
Level 1
 
Posts: 23
Joined: Sun Aug 05, 2012 3:23 pm

Re: libopencv-dev ?!

Postby Motion on Tue Aug 07, 2012 4:41 am

Ahah !

I am back.

Reinstalled and now, everything is ok.

Libopencv-dev will install flawlessly. I am responsible for what happened to me : i played with sid repos and came back with other ones, which is the straight way to mess the whole thing up.

Trial and error.

I have to stick myself with the new logic which differs a lot from Arch and gentoo.

Many thanks 00, you can choose your appending number, you saved the queen.

Cheers,

Motion
Motion
Level 1
Level 1
 
Posts: 23
Joined: Sun Aug 05, 2012 3:23 pm

Re: libopencv-dev ?!

Postby zerozero on Tue Aug 07, 2012 4:40 pm

Motion wrote:Many thanks 00, you can choose your appending number, you saved the queen.

:lol: glad you're back on business 8)
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 3 guests